Skip to main content
GET
/
api
/
v1
/
checkout
/
sessions
/
{code}
Get Checkout Session
curl --request GET \
  --url https://api.example.com/api/v1/checkout/sessions/{code} \
  --header 'x-api-key: <x-api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "code": "<string>",
  "checkout_url": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z"
}

Headers

x-api-key
string
required

Path Parameters

code
string
required

Response

Successful Response

id
string<uuid>
required
code
string
required
checkout_url
string
required
status
enum<string>
required
Available options:
PENDING,
COMPLETED,
EXPIRED,
CANCELLED
expires_at
string<date-time>
required
plan_id
string<uuid>
required
created_at
string<date-time>
required